Model deployment
Gets a Deployment Target
Gets a Deployment Target.
GET
/
api
/
admin
/
v1
/
deploymentTargets
/
{deploymentTargetId}
Gets a Deployment Target
curl --request GET \
--url https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"configuration": {
"credentials": {
"account": 1234,
"credentials": "vault-secret-name"
},
"sagemaker": {
"ecrUrl": "399181051250.dkr.ecr.us-east-1.amazonaws.com/rf-regression-juno:mlflow",
"executionRoleArn": "arn:aws:iam::1234567890:role/service-role/AmazonSageMaker-ExecutionRole",
"region": "us-east-1",
"sagemakerS3ModelsBucket": "domino-sagemaker"
}
},
"deploymentTargetTypeId": 0,
"deploymentTargetTypeName": "AWS",
"id": 1,
"name": "Local Dataplane Sagemaker",
"resourceConfigurations": [
{
"configuration": {
"instanceType": "m7g.medium"
},
"deploymentTargetId": 1,
"description": "Medium AWS Instance",
"id": 2,
"name": "Medium"
},
{
"configuration": {
"instanceType": "m7g.large"
},
"deploymentTargetId": 1,
"description": "Large AWS Instance",
"id": 3,
"name": "Large"
}
],
"userAndOrganizationIds": []
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
ID of Deployment Target
Response
Success
Deployment Target
Configuration of this Deployment Target following the schema in its Deployment Target Type
ID of the Deployment Target Type this Deployment Target belongs to
Name of the Deployment Target Type this Deployment Target belongs to
UUID for the Deployment Target
Whether or not the Deployment Target is globally accessible
Timestamp of the last update to the deployment target (will be the creation timestamp on creation)
Internal name for the Deployment Target
Example:
"Production"
User and Organization IDs that can use this Deployment Target
The ID of the default resource configuration
Show child attributes
Show child attributes
Last modified on October 8, 2026
Was this page helpful?
⌘I
Gets a Deployment Target
curl --request GET \
--url https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"configuration": {
"credentials": {
"account": 1234,
"credentials": "vault-secret-name"
},
"sagemaker": {
"ecrUrl": "399181051250.dkr.ecr.us-east-1.amazonaws.com/rf-regression-juno:mlflow",
"executionRoleArn": "arn:aws:iam::1234567890:role/service-role/AmazonSageMaker-ExecutionRole",
"region": "us-east-1",
"sagemakerS3ModelsBucket": "domino-sagemaker"
}
},
"deploymentTargetTypeId": 0,
"deploymentTargetTypeName": "AWS",
"id": 1,
"name": "Local Dataplane Sagemaker",
"resourceConfigurations": [
{
"configuration": {
"instanceType": "m7g.medium"
},
"deploymentTargetId": 1,
"description": "Medium AWS Instance",
"id": 2,
"name": "Medium"
},
{
"configuration": {
"instanceType": "m7g.large"
},
"deploymentTargetId": 1,
"description": "Large AWS Instance",
"id": 3,
"name": "Large"
}
],
"userAndOrganizationIds": []
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}